#eastern keep floor 1 stairs (down)
from eventAPI import *
from APIUtils import *

rtkeep1Staird = 0

def fireEvent(e):
   global rtkeep1Staird
   rtkeep1Staird = getTag(e, "rtkeep1Staird")
   if (rtkeep1Staird == 0):
      showMessage(e, ["A disembodied voice speaks to you."])
      answer = stringInput(e, ["\"Speak now the word and be granted passage.\""])
      if(answer.lower() != "summon"):
         return 0
      else:
         rtkeep1Staird = 1
         setTag(e, "rtkeep1Staird", rtkeep1Staird)
   showPicture(e, "Stairs_D")
   if (poseYesNo(e, ["There is a stairway here leading down into the lower level of the keep.", "Do you take the stairs?"])):
      setExit(e, "maps/rtkeep0.cfg", 8, 11, 180)
   return 0
